Subject: cygwin vx linux: output differences
From: Yves Krähenbühl - MTD <[email-masked]>
To: <[email-masked]>
Date: Fri, 7 Jan 2005 12:06:34 +0100

Same programme compiled under Cygwin writes output which differs form its
LINUX-compiled version

I apologise in advance if the question is too trivial but I am a simple user
and not a programmer.
I have written a small FORTRAN programme (see attachment) which reads and
writes numbers in a
file:

Starting form the file toto.dat:
1
2
3
4
5
6

Under LINUX the programme re-writes the number 6 on the second line, and the
resulting toto.dat file is:
1
6

whereas under CYGWIN (cygwin-1.5.4-1 from 17.09.2003) the number 6 is
written after lhe last line and one gets the following toto.dat:
1
2
3
4
5
6
6

Can someone tell me how to avoid that problem under CYGWIN ?

Thank you in advance

Yves

----------------------------------------------------
Yves Krahenbuhl, Ph.D.
Director
Tel: +41 79 443 34 73 (cellular)
Email: [email-masked]
---------------------------------------------------
M-TD Modelling and Technology Development
Ecole Polytechnique Fédérale de Lausanne
PSE-C
CH-1015 Lausanne
Switzerland
Tel: +41 21 693 83 98
Fax: +41 21 646 41 33
Email: [email-masked]
Web page: www.m-td.com
---------------------------------------------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/